<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="@color/white"
    android:orientation="vertical">

    <include
        layout="@layout/layout_title"
        android:layout_width="match_parent"
        android:layout_height="wrap_content" />

    <ScrollView
        android:layout_width="match_parent"
        android:layout_height="0dp"
        android:layout_marginTop="@dimen/common_padding"
        android:layout_weight="1"
        android:scrollbars="none">

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginStart="@dimen/common_padding_heavy"
            android:layout_marginTop="@dimen/common_padding"
            android:layout_marginEnd="@dimen/common_padding_heavy"
            android:orientation="vertical">

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginTop="@dimen/common_padding_huge"
                android:layout_marginBottom="@dimen/common_padding"
                android:orientation="horizontal">

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_gravity="center"
                    android:text="@string/group_name"
                    android:textSize="@dimen/text_size_medium" />

                <TextView
                    android:id="@+id/group_name"
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_marginStart="@dimen/common_padding"
                    android:layout_weight="1"
                    android:background="@color/white"
                    android:gravity="end"
                    android:singleLine="true"
                    android:textColor="@color/text_color"
                    android:textSize="@dimen/text_size_medium" />
            </LinearLayout>

            <View
                android:layout_width="match_parent"
                android:layout_height="@dimen/line"
                android:layout_marginTop="@dimen/common_padding"
                android:layout_marginBottom="@dimen/common_padding"
                android:background="@color/line_color" />

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginTop="@dimen/common_padding"
                android:layout_marginBottom="@dimen/common_padding"
                android:orientation="horizontal">

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_gravity="center"
                    android:text="@string/group_number"
                    android:textSize="@dimen/text_size_medium" />

                <TextView
                    android:id="@+id/group_number"
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_marginStart="@dimen/common_padding"
                    android:layout_weight="1"
                    android:background="@color/white"
                    android:gravity="end"
                    android:singleLine="true"
                    android:textColor="@color/text_color"
                    android:textSize="@dimen/text_size_medium" />
            </LinearLayout>

            <View
                android:layout_width="match_parent"
                android:layout_height="@dimen/line"
                android:layout_marginTop="@dimen/common_padding"
                android:layout_marginBottom="@dimen/common_padding"
                android:background="@color/line_color" />

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginTop="@dimen/common_padding"
                android:layout_marginBottom="@dimen/common_padding"
                android:orientation="horizontal">

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_gravity="center"
                    android:text="@string/group_customer"
                    android:textSize="@dimen/text_size_medium" />

                <TextView
                    android:id="@+id/group_customer"
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_marginStart="@dimen/common_padding"
                    android:layout_weight="1"
                    android:background="@color/white"
                    android:gravity="end"
                    android:singleLine="true"
                    android:textColor="@color/text_color"
                    android:textSize="@dimen/text_size_medium" />
            </LinearLayout>

            <View
                android:layout_width="match_parent"
                android:layout_height="@dimen/line"
                android:layout_marginTop="@dimen/common_padding"
                android:layout_marginBottom="@dimen/common_padding"
                android:background="@color/line_color" />

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginTop="@dimen/common_padding"
                android:layout_marginBottom="@dimen/common_padding"
                android:orientation="horizontal">

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_gravity="center"
                    android:text="@string/visit_country"
                    android:textSize="@dimen/text_size_medium" />

                <TextView
                    android:id="@+id/visit_country"
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_marginStart="@dimen/common_padding"
                    android:layout_weight="1"
                    android:background="@color/white"
                    android:gravity="end"
                    android:singleLine="true"
                    android:textColor="@color/text_color"
                    android:textSize="@dimen/text_size_medium" />
            </LinearLayout>

            <View
                android:layout_width="match_parent"
                android:layout_height="@dimen/line"
                android:layout_marginTop="@dimen/common_padding"
                android:layout_marginBottom="@dimen/common_padding"
                android:background="@color/line_color" />

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginTop="@dimen/common_padding"
                android:layout_marginBottom="@dimen/common_padding"
                android:orientation="vertical">

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_gravity="start"
                    android:text="@string/visa_description"
                    android:textSize="@dimen/text_size_medium" />

                <com.pan_american.android.util.ScrollEditText
                    android:id="@+id/visa_description"
                    android:layout_width="match_parent"
                    android:layout_height="120dp"
                    android:layout_marginTop="@dimen/common_padding" />

            </LinearLayout>

            <View
                android:layout_width="match_parent"
                android:layout_height="@dimen/line"
                android:layout_marginTop="@dimen/common_padding"
                android:layout_marginBottom="@dimen/common_padding"
                android:background="@color/line_color" />

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginTop="@dimen/common_padding"
                android:layout_marginBottom="@dimen/common_padding"
                android:orientation="horizontal">

                <TextView
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_weight="1"
                    android:text="@string/visa_customer"
                    android:textSize="@dimen/text_size_medium" />

                <TextView
                    android:id="@+id/add_customer"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginStart="@dimen/common_padding"
                    android:background="@color/white"
                    android:gravity="end"
                    android:singleLine="true"
                    android:text="@string/add"
                    android:textColor="@color/text_color_blue"
                    android:textSize="@dimen/text_size_medium"
                    android:textStyle="bold" />
            </LinearLayout>

            <androidx.recyclerview.widget.RecyclerView
                android:id="@+id/customer_list"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginTop="@dimen/common_padding" />

            <View
                android:layout_width="match_parent"
                android:layout_height="@dimen/line"
                android:layout_marginBottom="@dimen/common_padding"
                android:background="@color/line_color" />

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginTop="@dimen/common_padding"
                android:layout_marginBottom="@dimen/common_padding"
                android:baselineAligned="false"
                android:orientation="horizontal">

                <LinearLayout
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_marginEnd="@dimen/common_padding_huge"
                    android:layout_weight="2"
                    android:orientation="horizontal">

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_gravity="center"
                        android:text="@string/visa_price"
                        android:textSize="@dimen/text_size_medium" />

                    <EditText
                        android:id="@+id/visa_price"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_marginStart="@dimen/common_padding"
                        android:background="@color/white"
                        android:gravity="end"
                        android:hint="@string/please_input"
                        android:importantForAutofill="no"
                        android:inputType="numberDecimal"
                        android:singleLine="true"
                        android:textColor="@color/text_color"
                        android:textColorHint="@color/hint_text_color"
                        android:textSize="@dimen/text_size_medium" />
                </LinearLayout>

                <LinearLayout
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_marginStart="@dimen/common_padding_huge"
                    android:layout_weight="1"
                    android:orientation="horizontal">

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_gravity="center"
                        android:text="@string/unit"
                        android:textSize="@dimen/text_size_medium" />

                    <TextView
                        android:id="@+id/price_unit"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_marginStart="@dimen/common_padding"
                        android:background="@color/white"
                        android:gravity="end"
                        android:hint="@string/please_select"
                        android:singleLine="true"
                        android:textColor="@color/text_color"
                        android:textColorHint="@color/hint_text_color"
                        android:textSize="@dimen/text_size_medium" />
                </LinearLayout>
            </LinearLayout>

            <View
                android:layout_width="match_parent"
                android:layout_height="@dimen/line"
                android:layout_marginTop="@dimen/common_padding"
                android:layout_marginBottom="@dimen/common_padding"
                android:background="@color/line_color" />

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginTop="@dimen/common_padding"
                android:layout_marginBottom="@dimen/common_padding"
                android:baselineAligned="false"
                android:orientation="horizontal">

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_gravity="center"
                    android:text="@string/is_agent"
                    android:textSize="@dimen/text_size_medium" />

                <RadioGroup
                    android:id="@+id/is_agent"
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_weight="1"
                    android:gravity="end"
                    android:orientation="horizontal">

                    <RadioButton
                        android:id="@+id/is_agent_yes"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:background="@drawable/style_radio_button"
                        android:buttonTint="@color/title_background_color"
                        android:text="@string/yes"
                        android:textColor="@color/text_color" />

                    <RadioButton
                        android:id="@+id/is_agent_no"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_marginStart="@dimen/common_padding"
                        android:background="@drawable/style_radio_button"
                        android:buttonTint="@color/title_background_color"
                        android:text="@string/no"
                        android:textColor="@color/text_color" />
                </RadioGroup>
            </LinearLayout>

            <View
                android:layout_width="match_parent"
                android:layout_height="@dimen/line"
                android:layout_marginTop="@dimen/common_padding"
                android:layout_marginBottom="@dimen/common_padding"
                android:background="@color/line_color" />

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginTop="@dimen/common_padding"
                android:layout_marginBottom="@dimen/common_padding"
                android:orientation="horizontal">

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_gravity="center"
                    android:text="@string/customer_type"
                    android:textSize="@dimen/text_size_medium" />

                <TextView
                    android:id="@+id/customer_type"
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_marginStart="@dimen/common_padding"
                    android:layout_weight="1"
                    android:background="@color/white"
                    android:gravity="end"
                    android:hint="@string/please_select"
                    android:singleLine="true"
                    android:textColor="@color/text_color"
                    android:textColorHint="@color/hint_text_color"
                    android:textSize="@dimen/text_size_medium" />
            </LinearLayout>

            <View
                android:layout_width="match_parent"
                android:layout_height="@dimen/line"
                android:layout_marginTop="@dimen/common_padding"
                android:layout_marginBottom="@dimen/common_padding"
                android:background="@color/line_color" />

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginTop="@dimen/common_padding"
                android:layout_marginBottom="@dimen/common_padding"
                android:orientation="horizontal">

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_gravity="center"
                    android:text="@string/visa_handle_number"
                    android:textSize="@dimen/text_size_medium" />

                <EditText
                    android:id="@+id/visa_handle_number"
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_marginStart="@dimen/common_padding"
                    android:layout_weight="1"
                    android:background="@color/white"
                    android:gravity="end"
                    android:hint="@string/please_input"
                    android:importantForAutofill="no"
                    android:inputType="number"
                    android:singleLine="true"
                    android:textColor="@color/text_color"
                    android:textColorHint="@color/hint_text_color"
                    android:textSize="@dimen/text_size_medium" />
            </LinearLayout>

            <View
                android:layout_width="match_parent"
                android:layout_height="@dimen/line"
                android:layout_marginTop="@dimen/common_padding"
                android:layout_marginBottom="@dimen/common_padding"
                android:background="@color/line_color" />

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginTop="@dimen/common_padding"
                android:layout_marginBottom="@dimen/common_padding"
                android:orientation="horizontal">

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_gravity="center"
                    android:text="@string/visa_exemption_number"
                    android:textSize="@dimen/text_size_medium" />

                <EditText
                    android:id="@+id/visa_exemption_number"
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_marginStart="@dimen/common_padding"
                    android:layout_weight="1"
                    android:background="@color/white"
                    android:gravity="end"
                    android:hint="@string/please_input"
                    android:importantForAutofill="no"
                    android:inputType="number"
                    android:singleLine="true"
                    android:textColor="@color/text_color"
                    android:textColorHint="@color/hint_text_color"
                    android:textSize="@dimen/text_size_medium" />
            </LinearLayout>

            <View
                android:layout_width="match_parent"
                android:layout_height="@dimen/line"
                android:layout_marginTop="@dimen/common_padding"
                android:layout_marginBottom="@dimen/common_padding"
                android:background="@color/line_color" />

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginTop="@dimen/common_padding"
                android:layout_marginBottom="@dimen/common_padding"
                android:orientation="vertical">

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_gravity="start"
                    android:text="@string/notes"
                    android:textSize="@dimen/text_size_medium" />

                <com.pan_american.android.util.ScrollEditText
                    android:id="@+id/notes"
                    android:layout_width="match_parent"
                    android:layout_height="120dp"
                    android:layout_marginTop="@dimen/common_padding" />

            </LinearLayout>

            <View
                android:layout_width="match_parent"
                android:layout_height="@dimen/line"
                android:layout_marginTop="@dimen/common_padding"
                android:layout_marginBottom="@dimen/common_padding"
                android:background="@color/line_color" />

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginTop="@dimen/common_padding"
                android:orientation="horizontal">

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_gravity="center"
                    android:text="@string/payment_apply"
                    android:textColor="@color/text_color_blue"
                    android:textSize="@dimen/text_size_large"
                    android:textStyle="bold" />
            </LinearLayout>

            <View
                android:layout_width="match_parent"
                android:layout_height="@dimen/line"
                android:layout_marginTop="@dimen/common_padding"
                android:layout_marginBottom="@dimen/common_padding"
                android:background="@color/line_color" />

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginTop="@dimen/common_padding"
                android:layout_marginBottom="@dimen/common_padding"
                android:orientation="horizontal">

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_gravity="center"
                    android:text="@string/payment_way"
                    android:textSize="@dimen/text_size_medium" />

                <TextView
                    android:id="@+id/payment_way"
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_marginStart="@dimen/common_padding"
                    android:layout_weight="1"
                    android:background="@color/white"
                    android:gravity="end"
                    android:hint="@string/please_select"
                    android:singleLine="true"
                    android:textColor="@color/text_color"
                    android:textColorHint="@color/hint_text_color"
                    android:textSize="@dimen/text_size_medium" />
            </LinearLayout>

            <View
                android:layout_width="match_parent"
                android:layout_height="@dimen/line"
                android:layout_marginTop="@dimen/common_padding"
                android:layout_marginBottom="@dimen/common_padding"
                android:background="@color/line_color" />

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginTop="@dimen/common_padding"
                android:layout_marginBottom="@dimen/common_padding"
                android:orientation="horizontal">

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_gravity="center"
                    android:text="@string/consume_way"
                    android:textSize="@dimen/text_size_medium" />

                <EditText
                    android:id="@+id/consume_way"
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_marginStart="@dimen/common_padding"
                    android:layout_weight="1"
                    android:background="@color/white"
                    android:gravity="end"
                    android:hint="@string/please_input"
                    android:importantForAutofill="no"
                    android:inputType="text"
                    android:singleLine="true"
                    android:textColor="@color/text_color"
                    android:textColorHint="@color/hint_text_color"
                    android:textSize="@dimen/text_size_medium" />
            </LinearLayout>

            <View
                android:layout_width="match_parent"
                android:layout_height="@dimen/line"
                android:layout_marginTop="@dimen/common_padding"
                android:layout_marginBottom="@dimen/common_padding"
                android:background="@color/line_color" />

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginTop="@dimen/common_padding"
                android:layout_marginBottom="@dimen/common_padding"
                android:orientation="horizontal">

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_gravity="center"
                    android:text="@string/consume_date"
                    android:textSize="@dimen/text_size_medium" />

                <TextView
                    android:id="@+id/consume_date"
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_marginStart="@dimen/common_padding"
                    android:layout_weight="1"
                    android:background="@color/white"
                    android:gravity="end"
                    android:hint="@string/please_select"
                    android:singleLine="true"
                    android:textColor="@color/text_color"
                    android:textColorHint="@color/hint_text_color"
                    android:textSize="@dimen/text_size_medium" />
            </LinearLayout>

            <View
                android:layout_width="match_parent"
                android:layout_height="@dimen/line"
                android:layout_marginTop="@dimen/common_padding"
                android:layout_marginBottom="@dimen/common_padding"
                android:background="@color/line_color" />

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginTop="@dimen/common_padding"
                android:layout_marginBottom="@dimen/common_padding"
                android:baselineAligned="false"
                android:orientation="horizontal">

                <LinearLayout
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_marginEnd="@dimen/common_padding_huge"
                    android:layout_weight="2"
                    android:orientation="horizontal">

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_gravity="center"
                        android:text="@string/payment_sum"
                        android:textSize="@dimen/text_size_medium" />

                    <TextView
                        android:id="@+id/payment_sum"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_marginStart="@dimen/common_padding"
                        android:background="@color/white"
                        android:gravity="end"
                        android:hint="@string/no_info"
                        android:singleLine="true"
                        android:textColor="@color/text_color"
                        android:textColorHint="@color/hint_text_color"
                        android:textSize="@dimen/text_size_medium" />
                </LinearLayout>

                <LinearLayout
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_marginStart="@dimen/common_padding_huge"
                    android:layout_weight="1"
                    android:orientation="horizontal">

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_gravity="center"
                        android:text="@string/unit"
                        android:textSize="@dimen/text_size_medium" />

                    <TextView
                        android:id="@+id/sum_unit"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_marginStart="@dimen/common_padding"
                        android:background="@color/white"
                        android:gravity="end"
                        android:hint="@string/no_info"
                        android:singleLine="true"
                        android:textColor="@color/text_color"
                        android:textColorHint="@color/hint_text_color"
                        android:textSize="@dimen/text_size_medium" />
                </LinearLayout>
            </LinearLayout>

            <View
                android:layout_width="match_parent"
                android:layout_height="@dimen/line"
                android:layout_marginTop="@dimen/common_padding"
                android:layout_marginBottom="@dimen/common_padding"
                android:background="@color/line_color" />

            <LinearLayout
                android:id="@+id/swipe"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:orientation="vertical"
                android:visibility="gone">

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="@dimen/common_padding"
                    android:layout_marginBottom="@dimen/common_padding"
                    android:orientation="horizontal">

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_gravity="center"
                        android:text="@string/card_type"
                        android:textSize="@dimen/text_size_medium" />

                    <TextView
                        android:id="@+id/card_type"
                        android:layout_width="0dp"
                        android:layout_height="wrap_content"
                        android:layout_marginStart="@dimen/common_padding"
                        android:layout_weight="1"
                        android:background="@color/white"
                        android:gravity="end"
                        android:hint="@string/please_select"
                        android:singleLine="true"
                        android:textColor="@color/text_color"
                        android:textColorHint="@color/hint_text_color"
                        android:textSize="@dimen/text_size_medium" />
                </LinearLayout>

                <View
                    android:layout_width="match_parent"
                    android:layout_height="@dimen/line"
                    android:layout_marginTop="@dimen/common_padding"
                    android:layout_marginBottom="@dimen/common_padding"
                    android:background="@color/line_color" />

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="@dimen/common_padding"
                    android:layout_marginBottom="@dimen/common_padding"
                    android:orientation="horizontal">

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_gravity="center"
                        android:text="@string/bank_card_number"
                        android:textSize="@dimen/text_size_medium" />

                    <TextView
                        android:id="@+id/bank_card_number"
                        android:layout_width="0dp"
                        android:layout_height="wrap_content"
                        android:layout_marginStart="@dimen/common_padding"
                        android:layout_weight="1"
                        android:background="@color/white"
                        android:gravity="end"
                        android:singleLine="true"
                        android:textColor="@color/text_color"
                        android:textSize="@dimen/text_size_medium" />
                </LinearLayout>

                <View
                    android:layout_width="match_parent"
                    android:layout_height="@dimen/line"
                    android:layout_marginTop="@dimen/common_padding"
                    android:layout_marginBottom="@dimen/common_padding"
                    android:background="@color/line_color" />

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="@dimen/common_padding"
                    android:layout_marginBottom="@dimen/common_padding"
                    android:orientation="horizontal">

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_gravity="center"
                        android:text="@string/bank_card_owner"
                        android:textSize="@dimen/text_size_medium" />

                    <TextView
                        android:id="@+id/bank_card_owner"
                        android:layout_width="0dp"
                        android:layout_height="wrap_content"
                        android:layout_marginStart="@dimen/common_padding"
                        android:layout_weight="1"
                        android:background="@color/white"
                        android:gravity="end"
                        android:singleLine="true"
                        android:text="@string/boss_name"
                        android:textSize="@dimen/text_size_medium" />
                </LinearLayout>

                <View
                    android:layout_width="match_parent"
                    android:layout_height="@dimen/line"
                    android:layout_marginTop="@dimen/common_padding"
                    android:layout_marginBottom="@dimen/common_padding"
                    android:background="@color/line_color" />
            </LinearLayout>

            <LinearLayout
                android:id="@+id/transfer"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:orientation="vertical"
                android:visibility="gone">

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="@dimen/common_padding"
                    android:layout_marginBottom="@dimen/common_padding"
                    android:orientation="horizontal">

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_gravity="center"
                        android:text="@string/company_bank_no"
                        android:textSize="@dimen/text_size_medium" />

                    <EditText
                        android:id="@+id/company_bank_no"
                        android:layout_width="0dp"
                        android:layout_height="wrap_content"
                        android:layout_marginStart="@dimen/common_padding"
                        android:layout_weight="1"
                        android:background="@color/white"
                        android:gravity="end"
                        android:hint="@string/please_input"
                        android:importantForAutofill="no"
                        android:inputType="phone"
                        android:singleLine="true"
                        android:textColor="@color/text_color"
                        android:textColorHint="@color/hint_text_color"
                        android:textSize="@dimen/text_size_medium" />
                </LinearLayout>

                <View
                    android:layout_width="match_parent"
                    android:layout_height="@dimen/line"
                    android:layout_marginTop="@dimen/common_padding"
                    android:layout_marginBottom="@dimen/common_padding"
                    android:background="@color/line_color" />

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="@dimen/common_padding"
                    android:layout_marginBottom="@dimen/common_padding"
                    android:orientation="horizontal">

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_gravity="center"
                        android:text="@string/other_bank_name"
                        android:textSize="@dimen/text_size_medium" />

                    <EditText
                        android:id="@+id/transfer_other_bank_name"
                        android:layout_width="0dp"
                        android:layout_height="wrap_content"
                        android:layout_marginStart="@dimen/common_padding"
                        android:layout_weight="1"
                        android:background="@color/white"
                        android:gravity="end"
                        android:hint="@string/please_input"
                        android:importantForAutofill="no"
                        android:inputType="text"
                        android:singleLine="true"
                        android:textColor="@color/text_color"
                        android:textColorHint="@color/hint_text_color"
                        android:textSize="@dimen/text_size_medium" />
                </LinearLayout>

                <View
                    android:layout_width="match_parent"
                    android:layout_height="@dimen/line"
                    android:layout_marginTop="@dimen/common_padding"
                    android:layout_marginBottom="@dimen/common_padding"
                    android:background="@color/line_color" />

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="@dimen/common_padding"
                    android:layout_marginBottom="@dimen/common_padding"
                    android:orientation="horizontal">

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_gravity="center"
                        android:text="@string/other_side_no"
                        android:textSize="@dimen/text_size_medium" />

                    <EditText
                        android:id="@+id/transfer_other_side_no"
                        android:layout_width="0dp"
                        android:layout_height="wrap_content"
                        android:layout_marginStart="@dimen/common_padding"
                        android:layout_weight="1"
                        android:background="@color/white"
                        android:gravity="end"
                        android:hint="@string/please_input"
                        android:importantForAutofill="no"
                        android:inputType="phone"
                        android:singleLine="true"
                        android:textColor="@color/text_color"
                        android:textColorHint="@color/hint_text_color"
                        android:textSize="@dimen/text_size_medium" />
                </LinearLayout>

                <View
                    android:layout_width="match_parent"
                    android:layout_height="@dimen/line"
                    android:layout_marginTop="@dimen/common_padding"
                    android:layout_marginBottom="@dimen/common_padding"
                    android:background="@color/line_color" />

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="@dimen/common_padding"
                    android:layout_marginBottom="@dimen/common_padding"
                    android:orientation="horizontal">

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_gravity="center"
                        android:text="@string/other_side_name"
                        android:textSize="@dimen/text_size_medium" />

                    <EditText
                        android:id="@+id/transfer_other_side_name"
                        android:layout_width="0dp"
                        android:layout_height="wrap_content"
                        android:layout_marginStart="@dimen/common_padding"
                        android:layout_weight="1"
                        android:background="@color/white"
                        android:gravity="end"
                        android:hint="@string/please_input"
                        android:importantForAutofill="no"
                        android:inputType="text"
                        android:singleLine="true"
                        android:textColor="@color/text_color"
                        android:textColorHint="@color/hint_text_color"
                        android:textSize="@dimen/text_size_medium" />
                </LinearLayout>

                <View
                    android:layout_width="match_parent"
                    android:layout_height="@dimen/line"
                    android:layout_marginTop="@dimen/common_padding"
                    android:layout_marginBottom="@dimen/common_padding"
                    android:background="@color/line_color" />
            </LinearLayout>

            <LinearLayout
                android:id="@+id/remit"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:orientation="vertical"
                android:visibility="gone">

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="@dimen/common_padding"
                    android:layout_marginBottom="@dimen/common_padding"
                    android:orientation="horizontal">

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_gravity="center"
                        android:text="@string/other_bank_name"
                        android:textSize="@dimen/text_size_medium" />

                    <EditText
                        android:id="@+id/other_bank_name"
                        android:layout_width="0dp"
                        android:layout_height="wrap_content"
                        android:layout_marginStart="@dimen/common_padding"
                        android:layout_weight="1"
                        android:background="@color/white"
                        android:gravity="end"
                        android:hint="@string/please_input"
                        android:importantForAutofill="no"
                        android:inputType="text"
                        android:singleLine="true"
                        android:textColor="@color/text_color"
                        android:textColorHint="@color/hint_text_color"
                        android:textSize="@dimen/text_size_medium" />
                </LinearLayout>

                <View
                    android:layout_width="match_parent"
                    android:layout_height="@dimen/line"
                    android:layout_marginTop="@dimen/common_padding"
                    android:layout_marginBottom="@dimen/common_padding"
                    android:background="@color/line_color" />

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="@dimen/common_padding"
                    android:layout_marginBottom="@dimen/common_padding"
                    android:orientation="horizontal">

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_gravity="center"
                        android:text="@string/other_side_no"
                        android:textSize="@dimen/text_size_medium" />

                    <EditText
                        android:id="@+id/other_side_no"
                        android:layout_width="0dp"
                        android:layout_height="wrap_content"
                        android:layout_marginStart="@dimen/common_padding"
                        android:layout_weight="1"
                        android:background="@color/white"
                        android:gravity="end"
                        android:hint="@string/please_input"
                        android:importantForAutofill="no"
                        android:inputType="phone"
                        android:singleLine="true"
                        android:textColor="@color/text_color"
                        android:textColorHint="@color/hint_text_color"
                        android:textSize="@dimen/text_size_medium" />
                </LinearLayout>

                <View
                    android:layout_width="match_parent"
                    android:layout_height="@dimen/line"
                    android:layout_marginTop="@dimen/common_padding"
                    android:layout_marginBottom="@dimen/common_padding"
                    android:background="@color/line_color" />

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="@dimen/common_padding"
                    android:layout_marginBottom="@dimen/common_padding"
                    android:orientation="horizontal">

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_gravity="center"
                        android:text="@string/other_side_name"
                        android:textSize="@dimen/text_size_medium" />

                    <EditText
                        android:id="@+id/other_side_name"
                        android:layout_width="0dp"
                        android:layout_height="wrap_content"
                        android:layout_marginStart="@dimen/common_padding"
                        android:layout_weight="1"
                        android:background="@color/white"
                        android:gravity="end"
                        android:hint="@string/please_input"
                        android:importantForAutofill="no"
                        android:inputType="text"
                        android:singleLine="true"
                        android:textColor="@color/text_color"
                        android:textColorHint="@color/hint_text_color"
                        android:textSize="@dimen/text_size_medium" />
                </LinearLayout>

                <View
                    android:layout_width="match_parent"
                    android:layout_height="@dimen/line"
                    android:layout_marginTop="@dimen/common_padding"
                    android:layout_marginBottom="@dimen/common_padding"
                    android:background="@color/line_color" />
            </LinearLayout>

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginTop="@dimen/common_padding"
                android:layout_marginBottom="@dimen/common_padding"
                android:orientation="horizontal">

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_gravity="center"
                    android:text="@string/payee"
                    android:textSize="@dimen/text_size_medium" />

                <EditText
                    android:id="@+id/payee"
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_marginStart="@dimen/common_padding"
                    android:layout_weight="1"
                    android:background="@color/white"
                    android:gravity="end"
                    android:hint="@string/please_input"
                    android:importantForAutofill="no"
                    android:inputType="text"
                    android:singleLine="true"
                    android:textColor="@color/text_color"
                    android:textColorHint="@color/hint_text_color"
                    android:textSize="@dimen/text_size_medium" />
            </LinearLayout>

            <View
                android:layout_width="match_parent"
                android:layout_height="@dimen/line"
                android:layout_marginTop="@dimen/common_padding"
                android:layout_marginBottom="@dimen/common_padding"
                android:background="@color/line_color" />

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginTop="@dimen/common_padding"
                android:layout_marginBottom="@dimen/common_padding"
                android:orientation="horizontal">

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_gravity="center"
                    android:text="@string/payment_mark"
                    android:textSize="@dimen/text_size_medium" />

                <TextView
                    android:id="@+id/payment_mark"
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_marginStart="@dimen/common_padding"
                    android:layout_weight="1"
                    android:background="@color/white"
                    android:gravity="end"
                    android:hint="@string/please_select"
                    android:singleLine="true"
                    android:textColor="@color/text_color"
                    android:textColorHint="@color/hint_text_color"
                    android:textSize="@dimen/text_size_medium" />
            </LinearLayout>

            <View
                android:layout_width="match_parent"
                android:layout_height="@dimen/line"
                android:layout_marginTop="@dimen/common_padding"
                android:layout_marginBottom="@dimen/common_padding"
                android:background="@color/line_color" />

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginTop="@dimen/common_padding"
                android:layout_marginBottom="@dimen/common_padding"
                android:orientation="vertical">

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_gravity="start"
                    android:text="@string/notes"
                    android:textSize="@dimen/text_size_medium" />

                <com.pan_american.android.util.ScrollEditText
                    android:id="@+id/payment_apply_notes"
                    android:layout_width="match_parent"
                    android:layout_height="120dp"
                    android:layout_marginTop="@dimen/common_padding" />

            </LinearLayout>

            <View
                android:layout_width="match_parent"
                android:layout_height="@dimen/line"
                android:layout_marginTop="@dimen/common_padding"
                android:layout_marginBottom="@dimen/common_padding"
                android:background="@color/line_color" />

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="@dimen/button_height"
                android:layout_marginTop="@dimen/common_padding_huge"
                android:layout_marginBottom="50dp"
                android:background="@drawable/shape_corner_solid_blue"
                android:orientation="horizontal">

                <com.pan_american.android.util.CommitButton
                    android:id="@+id/commit"
                    android:layout_width="match_parent"
                    android:layout_height="match_parent" />

            </LinearLayout>
        </LinearLayout>
    </ScrollView>
</LinearLayout>